Page MenuHomePhabricator

Review all parent-child task relations for accuracy
Closed, DeclinedPublic

Description

As described in T33, Phabricator used to describe what are now "Parent Tasks" and "Subtasks" as "Blocks" and "Blocked By", and unlike Bugzilla, only allowed users to "Edit [the] 'Blocked By' Tasks" of a particular task, not the other way around. (Even worse, prior to rOPUP4987f33bbcd0b9f8, the function was called "Edit Blocking Tasks", which was less clear and possibly even ambiguous.)

The confusing and inadequate UI meant it was extremely common to enter the relations the wrong way around. So existing relations of this type, created after the switch to Phabricator, but before the recent Phabricator upgrade, should be reviewed for accuracy, and corrected where appropriate.

Event Timeline

Restricted Application added subscribers: Zppix, TerraCodes, Aklapper. · View Herald TranscriptJul 3 2016, 1:58 AM

At least tasks tagged Tracking-Neverending are on my radar and I continuously do the maintenance in them.

After new upgrade there will be (should be, if nothing unexpected will happen) graph of dependencies in each task which has them, so it should be easier to spot possible mistakes.

before the recent Phabricator upgrade, should be reviewed for accuracy,

Do you volunteer? I don't see a particular reasonwhy this must happen before the upgrade - things get corrected / improved all of the time, the wiki way, hence not sure this requires a dedicated task. :)

Danny_B triaged this task as Lowest priority.Jul 3 2016, 10:01 PM

before the recent Phabricator upgrade, should be reviewed for accuracy,

Do you volunteer? I don't see a particular reasonwhy this must happen before the upgrade - things get corrected / improved all of the time, the wiki way, hence not sure this requires a dedicated task. :)

Just for the record - the update already happened. Request was to examine all tasks with dependencies marked before that update.


In any case, I agree that these discrepancies will eventually vanish (and new will happen obviously - I've just corrected one recently), so no need to call for immediate focused work on that.

Just for the record - the update already happened. Request was to examine all tasks with dependencies marked before that update.

Was this change announced anywhere? I didn't see it mentioned in the blog posts on the Phabricator start page and I dind't hear anything about it on any of the mailing lists I'm subscribing to.

@Lokal_Profil AFAIK Our Phabricator has regular update windows and the last one was Phabricator (2016-06-29) (@mmodell could add more details I guess).

Cf. also T139181: Update phab docs to reflect new parent/subtask terminology.

In any case this task is not the best place to discuss this kind of stuff.

Proposing to decline this task as it's not entirely clear to me when we'd ever be able to call this "resolved" (and how to check that actually in a reasonable way).

Aklapper closed this task as Declined.Aug 11 2016, 11:54 AM

No replies, hence declining as per last comment.